Index: src/Fragmentation/Automation/unittests/FragmentQueueUnitTest.cpp
===================================================================
--- src/Fragmentation/Automation/unittests/FragmentQueueUnitTest.cpp	(revision b5ebb569dab339861535e482277051aeb3f8943a)
+++ src/Fragmentation/Automation/unittests/FragmentQueueUnitTest.cpp	(revision b5ebb569dab339861535e482277051aeb3f8943a)
@@ -0,0 +1,59 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2011 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * FragmentQueueUnitTest.cpp
+ *
+ *  Created on: Oct 23, 2011
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include "FragmentQueue.hpp"
+
+#include "FragmentQueueUnitTest.hpp"
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+/********************************************** Test classes **************************************/
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( FragmentQueueTest );
+
+
+void FragmentQueueTest::setUp()
+{
+  queue = new FragmentQueue();
+}
+
+
+void FragmentQueueTest::tearDown()
+{
+  delete queue;
+}
+
+/** UnitTest for working JobQueue
+ */
+void FragmentQueueTest::JobsTest()
+{
+}
+
+/** UnitTest for working ResultMap
+ */
+void FragmentQueueTest::ResultsTest()
+{
+}
Index: src/Fragmentation/Automation/unittests/FragmentQueueUnitTest.hpp
===================================================================
--- src/Fragmentation/Automation/unittests/FragmentQueueUnitTest.hpp	(revision b5ebb569dab339861535e482277051aeb3f8943a)
+++ src/Fragmentation/Automation/unittests/FragmentQueueUnitTest.hpp	(revision b5ebb569dab339861535e482277051aeb3f8943a)
@@ -0,0 +1,41 @@
+/*
+ * FragmentQueueUnitTest.hpp
+ *
+ *  Created on: Oct 23, 2011
+ *      Author: heber
+ */
+
+#ifndef FRAGMENTQUEUEUNITTEST_HPP_
+#define FRAGMENTQUEUEUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <cppunit/extensions/HelperMacros.h>
+
+class FragmentQueue;
+
+/********************************************** Test classes **************************************/
+
+class FragmentQueueTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( FragmentQueueTest) ;
+    CPPUNIT_TEST ( JobsTest );
+    CPPUNIT_TEST ( ResultsTest );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+      void setUp();
+      void tearDown();
+      void JobsTest();
+      void ResultsTest();
+
+private:
+      FragmentQueue *queue;
+
+};
+
+#endif /* FRAGMENTQUEUEUNITTEST_HPP_ */
Index: src/Fragmentation/Automation/unittests/Makefile.am
===================================================================
--- src/Fragmentation/Automation/unittests/Makefile.am	(revision b5ebb569dab339861535e482277051aeb3f8943a)
+++ src/Fragmentation/Automation/unittests/Makefile.am	(revision b5ebb569dab339861535e482277051aeb3f8943a)
@@ -0,0 +1,36 @@
+# PLEASE adhere to the alphabetical ordering in this Makefile!
+# Also indentation by a single tab
+
+FRAGMENTATIONAUTOMATIONTESTSSOURCES = \
+  unittests/FragmentQueueUnitTest.cpp
+
+FRAGMENTATIONAUTOMATIONTESTSHEADERS = \
+  unittests/FragmentQueueUnitTest.hpp
+
+FRAGMENTATIONAUTOMATIONTESTS = \
+  FragmentQueueUnitTest
+
+
+TESTS += $(FRAGMENTATIONAUTOMATIONTESTS)
+check_PROGRAMS += $(FRAGMENTATIONAUTOMATIONTESTS) 
+noinst_PROGRAMS += $(FRAGMENTATIONAUTOMATIONTESTS)
+
+FRAGMENTATIONAUTOMATIONLIBS = \
+  $(BOOST_THREAD_LDFLAGS) $(BOOST_THREAD_LIBS) \
+  ${CodePatterns_LIBS}
+
+FragmentQueueUnitTest_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
+FragmentQueueUnitTest_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
+FragmentQueueUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+  unittests/FragmentQueueUnitTest.cpp \
+  unittests/FragmentQueueUnitTest.hpp \
+  FragmentJob.cpp \
+  FragmentJob.hpp \
+  FragmentQueue.cpp \
+  FragmentQueue.hpp \
+  FragmentResult.cpp \
+  FragmentResult.hpp
+FragmentQueueUnitTest_LDADD = $(FRAGMENTATIONAUTOMATIONLIBS)
+
+
+#AUTOMAKE_OPTIONS = parallel-tests
